//Source file: AuthDomain.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;  
/**
 *This defines a Sequence of Data Elements containing all the data necessary to identify a domain:
 *the domain identifier and a reference to the authentication interface of the domain.
 */
public final class AuthDomain implements java.io.Serializable {
   
    private org.csapi.jr.se.fw.DomainID domainID;
    private org.csapi.jr.se.CsapiInterface authInterface;

    /**
     * Creates a new AuthDomain instance.
     *    
     */
    public AuthDomain(org.csapi.jr.se.fw.DomainID _domainID, 
              org.csapi.jr.se.CsapiInterface _authInterface) {        

        domainID=_domainID;
        authInterface=_authInterface;
    }        

    /**
     * This method returns a DomainID
     *
     * @return a  org.csapi.jr.se.fw.DomainID  value
     */
    public org.csapi.jr.se.fw.DomainID getDomainID() {
        return domainID;
    }

    /**
     * This method returns a AuthInterface
     *
     * @return a  org.csapi.jr.se.CsapiInterface  value
     */
    public org.csapi.jr.se.CsapiInterface getAuthInterface() {
        return authInterface;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof AuthDomain)) {
            return false;
        }

        AuthDomain authDomain = (AuthDomain)o;
        if ((this.authInterface !=null) & (authDomain.authInterface != null)) {
            if(!(this.authInterface.equals(authDomain.authInterface))) {
                return false;
            }
        }
        if ((this.domainID !=null) & (authDomain.domainID != null)) {
            if(!(this.domainID.equals(authDomain.domainID)))  {
                return false;
            }
        }

        if (this.hashCode() != o.hashCode()) {
            return false;
        }

        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }


} // AuthDomain
 
