//Source file: ClientAppDescription.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 *  This data type is a Sequence of Data Elements which describes an enterprise
 *  client application. It is a structured data type, consisting of a unique
 *  "client application ID", password and a list of "client application
 *  properties.
 *
 *
 */
public final class ClientAppDescription implements java.io.Serializable {

    private String clientAppID;
    private org.csapi.jr.se.fw.Property[] clientAppProperties;


    /**
     *  Creates a new  ClientAppDescription  instance.
     *
     *@param  _clientAppID          Please refer to the relevant Parlay
     *      documentation
     *@param  _clientAppProperties  Please refer to the relevant Parlay
     *      documentation
     */
    public ClientAppDescription(String _clientAppID,
            org.csapi.jr.se.fw.Property[] _clientAppProperties) {

        clientAppID = _clientAppID;
        clientAppProperties = _clientAppProperties;
    }


    /**
     *  This method returns a clientAppID.
     *
     *@return    a  String  value
     */
    public String getClientAppID() {
        return clientAppID;
    }


    /**
     *  This method returns a clientAppProperties.
     *
     *@return    a  org.csapi.jr.se.fw.Property[]  value
     */
    public org.csapi.jr.se.fw.Property[] getClientAppProperties() {
        return clientAppProperties;
    }
    
    /**
     * Indicates whether some other object is 'equal to' this one.
     */    
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof ClientAppDescription)) {
            return false;
        }

        ClientAppDescription clientAppDescription = (ClientAppDescription)o;
        if ((this.clientAppID !=null) & (clientAppDescription.clientAppID != null)) {
            if(!(this.clientAppID.equals(clientAppDescription.clientAppID))) {
                return false;
            }
        }
        if ((this.clientAppProperties !=null) & (clientAppDescription.clientAppProperties != null)) {
            if(!(this.clientAppProperties.equals(clientAppDescription.clientAppProperties)))  {
                return false;
            }
        }
       if (this.hashCode() != o.hashCode()) {
            return false;
        }

        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }




}

// ClientAppDescription

