//Source file: DomainIDType.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Defines either the framework or the type of entity attempting to access the framework
 *
 * 
 */
public final class DomainIDType implements java.io.Serializable {

    private int _value;
    private static int _size = 5;
    private static DomainIDType[] _array = new DomainIDType[_size];

    /**
     * The framework
     */
    public static final int _FW =  0;
    /**
     * The framework
     */
    public static final DomainIDType FW = new DomainIDType(_FW);

    /**
     * A client application 
     */
    public static final int _CLIENT_APPLICATION =  1;
    /**
     * A client application 
     */
    public static final DomainIDType CLIENT_APPLICATION = new DomainIDType(_CLIENT_APPLICATION);

    /**
     * An enterprise operator
     */
    public static final int _ENT_OP =  2;
    /**
     * An enterprise operator
     */
    public static final DomainIDType ENT_OP = new DomainIDType(_ENT_OP);

    /**
     * A registered service
     */
    public static final int _SERVICE_INSTANCE =  3;
    /**
     * A registered service
     */
    public static final DomainIDType SERVICE_INSTANCE = new DomainIDType(_SERVICE_INSTANCE);

    /**
     * A service supplier
     */
    public static final int _SERVICE_SUPPLIER =  4;
    /**
     * A service supplier
     */
    public static final DomainIDType SERVICE_SUPPLIER = new DomainIDType(_SERVICE_SUPPLIER);


    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * toString method, overrides the toString() method in class java.lang.Object
     *
     * @return String  The stringified version of the DomainIDType object
     */
    public String toString() {
        switch (_value) {
            case _FW:
                return "FW";
            case _CLIENT_APPLICATION:
                return "CLIENT_APPLICATION";
            case _ENT_OP:
                return "ENT_OP";
            case _SERVICE_INSTANCE:
                return "SERVICE_INSTANCE";
            case _SERVICE_SUPPLIER:
                return "SERVICE_SUPPLIER";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 5
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static DomainIDType getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException();
        }
    }

    /**
     * Private constructor used internally to construct static objects 
     */
    private DomainIDType(int value) {
        this._value = value;
        this._array[this._value] = this;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) return false;
        if(!(o instanceof DomainIDType)) {
        return false;
        } else {
            DomainIDType domainIDType = ( DomainIDType)o; 
            if(!(this.getValue() == getValue())) {
                return false;
            }
        }
    
    if (this.hashCode() != o.hashCode()) {
    return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DomainIDType

