//Source file: FWExceptionType.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Framework exception type
 *
 * 
 */
public final class FWExceptionType implements java.io.Serializable {

    private int _value;
    private static int _size = 1;
    private static FWExceptionType[] _array = new FWExceptionType[_size];

    /**
     * 
     */
    public static final int _FW_DUMMY =  0;
    public static final FWExceptionType FW_DUMMY = new FWExceptionType(_FW_DUMMY);


    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * toString method, overrides the toString() method in class java.lang.Object
     *
     * @return String  The stringified version of the FWExceptionType object
     */
    public String toString() {
        switch (_value) {
            case _FW_DUMMY:
                return "FW_DUMMY";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 1
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static FWExceptionType getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException();
        }
    }

    /**
     * Private constructor used internally to construct static objects 
     */
    private FWExceptionType(int value) {
        this._value = value;
        this._array[this._value] = this;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) return false;
        if(!(o instanceof FWExceptionType)) {
        return false;
        } else {
            FWExceptionType fWExceptionType = ( FWExceptionType)o; 
            if(!(this.getValue() == getValue())) {
                return false;
            }
        }
    
    if (this.hashCode() != o.hashCode()) {
    return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // FWExceptionType

