//Source file: FaultStats.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Statistics on a per fault type basis.
			The number of separate
			instances of this fault during the period.
			The duration in seconds of the longest fault.
			The cumulative total during the period.
			Those informed of the fault by the Framework.
 *
 * 
 */
public final class FaultStats implements java.io.Serializable {

    private org.csapi.jr.se.fw.InterfaceFault fault;
    private int occurrences;
    private int maxDuration;
    private int totalDuration;
    private int numberOfClientsAffected;

    /**
     * Creates a new FaultStats instance.
     *
     */
    public FaultStats (org.csapi.jr.se.fw.InterfaceFault _fault,
        int _occurrences,
        int _maxDuration,
        int _totalDuration,
        int _numberOfClientsAffected) {

        fault = _fault;
        occurrences = _occurrences;
        maxDuration = _maxDuration;
        totalDuration = _totalDuration;
        numberOfClientsAffected = _numberOfClientsAffected;
    }

    /**
     * This method returns a fault.
     * 
     *@return a  org.csapi.jr.se.fw.InterfaceFault  value
     */
    public org.csapi.jr.se.fw.InterfaceFault getFault() {
        return fault;

    }

    /**
     * This method returns a occurrences.
     * 
     *@return a  int  value
     */
    public int getOccurrences() {
        return occurrences;

    }

    /**
     * This method returns a maxDuration.
     * 
     *@return a  int  value
     */
    public int getMaxDuration() {
        return maxDuration;

    }

    /**
     * This method returns a totalDuration.
     * 
     *@return a  int  value
     */
    public int getTotalDuration() {
        return totalDuration;

    }

    /**
     * This method returns a numberOfClientsAffected.
     * 
     *@return a  int  value
     */
    public int getNumberOfClientsAffected() {
        return numberOfClientsAffected;

    }


     /**
     * This method sets a fault.
     */ 
    public void setFault(org.csapi.jr.se.fw.InterfaceFault fault){
        this.fault = fault;
    }

    /**
     * This method sets a occurrences.
     */ 
    public void setOccurrences(int occurrences){
        this.occurrences = occurrences;
    }

    /**
     * This method sets a maxDuration.
     */ 
    public void setMaxDuration(int maxDuration){
        this.maxDuration = maxDuration;
    }

    /**
     * This method sets a totalDuration.
     */ 
    public void setTotalDuration(int totalDuration){
        this.totalDuration = totalDuration;
    }

    /**
     * This method sets a numberOfClientsAffected.
     */ 
    public void setNumberOfClientsAffected(int numberOfClientsAffected){
        this.numberOfClientsAffected = numberOfClientsAffected;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof FaultStats)) {
            return false;
        } 
        
        FaultStats faultStats= (FaultStats)o;
        if ((this.fault !=null) & (faultStats.fault != null)) {
            if(!(this.fault.equals(faultStats.fault))) {
                return false;
            }
        }
        if(!(this.occurrences == faultStats.occurrences)) {
            return false;
        }
        if(!(this.maxDuration == faultStats.maxDuration)) {
            return false;
        }
        if(!(this.totalDuration == faultStats.totalDuration)) {
            return false;
        }
        if(!(this.numberOfClientsAffected == faultStats.numberOfClientsAffected)) {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // FaultStats

