//Source file: FwEventCriteria.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Defines the Tagged Choice of Data Elements that specify the criteria for an event notification to be generated.
 *
 * 
 */
public final class FwEventCriteria implements java.io.Serializable{

    private FwEventName _discriminator = null;
    private java.lang.Object _object;

    /**
     *   Creates a new FwEventCriteria.<br>
     *   Tagged Choice of Data Elements always have empty constructors
     * 
     */ 

    public FwEventCriteria() {}

    /**
     *  This method returns the discriminator
     * 
     *   @return a FwEventName value 
     *   @exception InvalidUnionAccessorException if an error occurs 
     */ 

    public FwEventName getDiscriminator()throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
                }
                    return _discriminator;
                }

    /**
     * This method returns a EventNameUndefined
     * 
     * @return  a  java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getEventNameUndefined() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (!(_discriminator.equals((FwEventName) FwEventName.EVENT_FW_NAME_UNDEFINED))) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
                }
                    return  ((java.lang.String) _object);
                }
    
    
    /**
     * This method sets a EventNameUndefined
     * 
     * @param value a java.lang.String value
     */
    public void  setEventNameUndefined(java.lang.String value){
        _discriminator = (FwEventName) FwEventName.EVENT_FW_NAME_UNDEFINED;
                 
                    _object = value;
                        }
    /**
     * This method returns a ServiceTypeNameList
     * 
     * @return  a String[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public String[] getServiceTypeNameList() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (!(_discriminator.equals((FwEventName) FwEventName.EVENT_FW_SERVICE_AVAILABLE))) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
                }
                    return  ((String[]) _object);
                }
    
    
    /**
     * This method sets a ServiceTypeNameList
     * 
     * @param value a String[] value
     */
    public void  setServiceTypeNameList(String[] value){
        _discriminator = (FwEventName) FwEventName.EVENT_FW_SERVICE_AVAILABLE;
                 
                    _object = value;
                        }
    /**
     * This method returns a UnavailableServiceTypeNameList
     * 
     * @return  a String[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public String[] getUnavailableServiceTypeNameList() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (!(_discriminator.equals((FwEventName) FwEventName.EVENT_FW_SERVICE_UNAVAILABLE))) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
                }
                    return  ((String[]) _object);
                }
    
    
    /**
     * This method sets a UnavailableServiceTypeNameList
     * 
     * @param value a String[] value
     */
    public void  setUnavailableServiceTypeNameList(String[] value){
        _discriminator = (FwEventName) FwEventName.EVENT_FW_SERVICE_UNAVAILABLE;
                 
                    _object = value;
                        }

    /**
     * This method takes the discriminator as a parameter and will set _object to null 
     * 
     *   @param value a FwEventName value 
     */ 
    public void setUndefined(FwEventName discriminator) {
        _discriminator = discriminator;
        _object = null;
                }
        
    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
    if (o == null) return false;
        if(!(o instanceof FwEventCriteria)) {
        return false;
            } else {
            FwEventCriteria fwEventCriteria= (FwEventCriteria)o;
                if(!(this._object.equals(fwEventCriteria._object))){
                return false;
                } else {
                if(!(this._discriminator.equals(fwEventCriteria._discriminator))){
                return false;
                }
            }
    
    
    
    if (this.hashCode() != o.hashCode()) {
    return false;
        }
        return true;
    }
        }

    /**
     * Returns a hashcode value for the object.
     */    
    public int hashCode() {
        return 1;
    }

} // FwEventCriteria

