//Source file: InvalidAdditionToSagException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * A client application cannot be added to the SAG because this would imply that the client application has two concurrent service profiles at a particular moment in time for a 
 * particular service.
 * 
 * 
 */
public class InvalidAdditionToSagException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidAdditionToSagException() {
        super(); 
    }

    public InvalidAdditionToSagException(String message) {
        super(message); 
    }

    public InvalidAdditionToSagException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAdditionToSagException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAdditionToSagException

