//Source file: InvalidSagToServiceProfileAssignmentException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * A SAG cannot be assigned to the service profile because this would imply that a client application has two concurrent service profiles at a particular moment in time for a 
 * particular service.
 *
 * 
 */
public class InvalidSagToServiceProfileAssignmentException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidSagToServiceProfileAssignmentException() {
        super(); 
    }

    public InvalidSagToServiceProfileAssignmentException(String message) {
        super(message); 
    }

    public InvalidSagToServiceProfileAssignmentException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSagToServiceProfileAssignmentException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSagToServiceProfileAssignmentException

