//Source file: LoadStatisticData.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Defines the Sequence Data Elements that represents load statistic information. 
 *
 * 
 */
public final class LoadStatisticData implements java.io.Serializable {

    private float loadValue;
    private org.csapi.jr.se.fw.LoadLevel loadLevel;

    /**
     * Creates a new  LoadStatisticData  instance.
     *
     */
    public LoadStatisticData (float _loadValue,
        org.csapi.jr.se.fw.LoadLevel _loadLevel) {

        loadValue = _loadValue;
        loadLevel = _loadLevel;
    }

    /**
     * This method returns a loadValue.
     * 
     *@return a  float  value
     */
    public float getLoadValue() {
        return loadValue;

    }

    /**
     * This method returns a loadLevel.
     * 
     *@return a  org.csapi.jr.se.fw.LoadLevel  value
     */
    public org.csapi.jr.se.fw.LoadLevel getLoadLevel() {
        return loadLevel;

    }


     /**
     * This method sets a loadValue.
     */ 
    public void setLoadValue(float loadValue){
        this.loadValue = loadValue;
    }

    /**
     * This method sets a loadLevel.
     */ 
    public void setLoadLevel(org.csapi.jr.se.fw.LoadLevel loadLevel){
        this.loadLevel = loadLevel;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LoadStatisticData)) {
            return false;
        } 
        
        LoadStatisticData loadStatisticData= (LoadStatisticData)o;
        if ((this.loadLevel !=null) & (loadStatisticData.loadLevel != null)) {
            if(!(this.loadLevel.equals(loadStatisticData.loadLevel))) {
                return false;
            }
        }
        if(!(this.loadValue == loadStatisticData.loadValue)) {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadStatisticData

