//Source file: LoadStatusError.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The error code for getting the load status.
 * 
 */
public final class LoadStatusError implements java.io.Serializable {

    private int _value;
    private static int _size = 2;
    private static LoadStatusError[] _array = new LoadStatusError[_size];

    /**
     * Undefined error
     */
    public static final int _LOAD_STATUS_ERROR_UNDEFINED =  0;
    /**
     * Undefined error
     */
    public static final LoadStatusError LOAD_STATUS_ERROR_UNDEFINED = new LoadStatusError(_LOAD_STATUS_ERROR_UNDEFINED);

    /**
     * Unable to get the load status
     */
    public static final int _LOAD_STATUS_ERROR_UNAVAILABLE =  1;
    /**
     * Unable to get the load status
     */
    public static final LoadStatusError LOAD_STATUS_ERROR_UNAVAILABLE = new LoadStatusError(_LOAD_STATUS_ERROR_UNAVAILABLE);


    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * toString method, overrides the toString() method in class java.lang.Object
     *
     * @return String  The stringified version of the LoadStatusError object
     */
    public String toString() {
        switch (_value) {
            case _LOAD_STATUS_ERROR_UNDEFINED:
                return "LOAD_STATUS_ERROR_UNDEFINED";
            case _LOAD_STATUS_ERROR_UNAVAILABLE:
                return "LOAD_STATUS_ERROR_UNAVAILABLE";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 2
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static LoadStatusError getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException();
        }
    }

    /**
     * Private constructor used internally to construct static objects 
     */
    private LoadStatusError(int value) {
        this._value = value;
        this._array[this._value] = this;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) return false;
        if(!(o instanceof LoadStatusError)) {
        return false;
        } else {
            LoadStatusError loadStatusError = ( LoadStatusError)o; 
            if(!(this.getValue() == getValue())) {
                return false;
            }
        }
    
    if (this.hashCode() != o.hashCode()) {
    return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadStatusError

