//Source file: NoAcceptableAuthenticationMechanismException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * No authentication mechanism, which is acceptable to the framework is supported by the client. 
 *
 * 
 */
public class NoAcceptableAuthenticationMechanismException extends java.lang.Exception {

    private Throwable _cause = null;

    public NoAcceptableAuthenticationMechanismException() {
        super(); 
    }

    public NoAcceptableAuthenticationMechanismException(String message) {
        super(message); 
    }

    public NoAcceptableAuthenticationMechanismException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableAuthenticationMechanismException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableAuthenticationMechanismException

