//Source file: NoAcceptableSigningAlgorithmException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * No signing algorithm which is acceptable to the framework, is supported by the client. 
 *
 * 
 */
public class NoAcceptableSigningAlgorithmException extends java.lang.Exception {

    private Throwable _cause = null;

    public NoAcceptableSigningAlgorithmException() {
        super(); 
    }

    public NoAcceptableSigningAlgorithmException(String message) {
        super(message); 
    }

    public NoAcceptableSigningAlgorithmException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableSigningAlgorithmException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableSigningAlgorithmException

