//Source file: Service.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Describes a registered service.
 *
 * 
 */
public final class Service implements java.io.Serializable {

    private String serviceID;
    private org.csapi.jr.se.fw.ServiceDescription serviceDescription;

    /**
     * Creates a new  Service  instance.
     *
     */
    public Service (String _serviceID,
        org.csapi.jr.se.fw.ServiceDescription _serviceDescription) {

        serviceID = _serviceID;
        serviceDescription = _serviceDescription;
    }

    /**
     * This method returns a serviceID.
     * 
     *@return a  String  value
     */
    public String getServiceID() {
        return serviceID;

    }

    /**
     * This method returns a serviceDescription.
     * 
     *@return a  org.csapi.jr.se.fw.ServiceDescription  value
     */
    public org.csapi.jr.se.fw.ServiceDescription getServiceDescription() {
        return serviceDescription;

    }


     /**
     * This method sets a serviceID.
     */ 
    public void setServiceID(String serviceID){
        this.serviceID = serviceID;
    }

    /**
     * This method sets a serviceDescription.
     */ 
    public void setServiceDescription(org.csapi.jr.se.fw.ServiceDescription serviceDescription){
        this.serviceDescription = serviceDescription;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Service)) {
            return false;
        } 
        
        Service service= (Service)o;
        if(!(this.serviceID == service.serviceID))  {
            return false;
        }
        if ((this.serviceDescription !=null) & (service.serviceDescription != null)) {
            if(!(this.serviceDescription.equals(service.serviceDescription))) {
                return false;
            }
        }
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Service

