//Source file: ServiceProfileDescription.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 *  This data type is a Sequence of Data Elements which describes a Service
 *  Profile. A service contract contains one or more Service Profiles, one for
 *  each SAG in the enterprise operator domain. A service profile is a
 *  restriction of the service contract in order to provide restricted service
 *  features to a SAG.
 *
 *
 */
public final class ServiceProfileDescription implements java.io.Serializable {

    private String serviceContractID;
    private String serviceStartDate;
    private String serviceEndDate;
    private String serviceTypeName;
    private org.csapi.jr.se.fw.ServiceProperty[] serviceSubscriptionProperties;


    /**
     *  Creates a new  ServiceProfileDescription  instance.
     *
     *@param  _serviceContractID              Please refer to the relevant
     *      Parlay documentation
     *@param  _serviceStartDate               Please refer to the relevant
     *      Parlay documentation
     *@param  _serviceEndDate                 Please refer to the relevant
     *      Parlay documentation
     *@param  _serviceTypeName                Please refer to the relevant
     *      Parlay documentation
     *@param  _serviceSubscriptionProperties  Please refer to the relevant
     *      Parlay documentation
     */
    public ServiceProfileDescription(String _serviceContractID,
            String _serviceStartDate,
            String _serviceEndDate,
            String _serviceTypeName,
            org.csapi.jr.se.fw.ServiceProperty[] _serviceSubscriptionProperties) {

        serviceContractID = _serviceContractID;
        serviceStartDate = _serviceStartDate;
        serviceEndDate = _serviceEndDate;
        serviceTypeName = _serviceTypeName;
        serviceSubscriptionProperties = _serviceSubscriptionProperties;
    }


    /**
     *  This method returns a serviceContractID.
     *
     *@return    a  String  value
     */
    public String getServiceContractID() {
        return serviceContractID;
    }


    /**
     *  This method returns a serviceStartDate.
     *
     *@return    a  String  value
     */
    public String getServiceStartDate() {
        return serviceStartDate;
    }


    /**
     *  This method returns a serviceEndDate.
     *
     *@return    a  String  value
     */
    public String getServiceEndDate() {
        return serviceEndDate;
    }


    /**
     *  This method returns a serviceTypeName.
     *
     *@return    a  String  value
     */
    public String getServiceTypeName() {
        return serviceTypeName;
    }


    /**
     *  This method returns a serviceSubscriptionProperties.
     *
     *@return    a  org.csapi.jr.se.fw.ServiceProperty[]  value
     */
    public org.csapi.jr.se.fw.ServiceProperty[] getServiceSubscriptionProperties() {
        return serviceSubscriptionProperties;
    }
    
    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
            if (o == null) {
            return false;
        }
        if(!(o instanceof ServiceProfileDescription)) {
            return false;
        }

        ServiceProfileDescription  serviceProfileDescription = (ServiceProfileDescription)o;
        if ((this.serviceContractID !=null) & (serviceProfileDescription.serviceContractID != null)) {
            if(!(this.serviceContractID.equals(serviceProfileDescription.serviceContractID))) {
                return false;
            }
        }
        if ((this.serviceEndDate !=null) & (serviceProfileDescription.serviceEndDate != null)) {
            if(!(this.serviceEndDate.equals(serviceProfileDescription.serviceEndDate)))  {
                return false;
            }
        }
        if ((this.serviceStartDate !=null) & (serviceProfileDescription.serviceStartDate != null)) {
            if(!(this.serviceStartDate.equals(serviceProfileDescription.serviceStartDate)))  {
                return false;
            }

        }
       if ((this.serviceSubscriptionProperties !=null) & (serviceProfileDescription.serviceSubscriptionProperties != null)) { 
            if(!(this.serviceSubscriptionProperties.equals(serviceProfileDescription.serviceSubscriptionProperties)))  {
                return false;

           }
       }

     if ((this.serviceTypeName !=null) & (serviceProfileDescription.serviceTypeName != null)) {
            if(!(this.serviceTypeName.equals(serviceProfileDescription.serviceTypeName)))  {
                 return false;

          }
      }

            if (this.hashCode() != o.hashCode()) {
            return false;
        }

        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }


}
// ServiceProfileDescription

