//Source file: ServiceProperty.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Describes a service property
 *
 * 
 */
public final class ServiceProperty implements java.io.Serializable {

    private String servicePropertyName;
    private String[] servicePropertyValueList;

    /**
     * Creates a new  ServiceProperty  instance.
     *
     */
    public ServiceProperty (String _servicePropertyName,
        String[] _servicePropertyValueList) {

        servicePropertyName = _servicePropertyName;
        servicePropertyValueList = _servicePropertyValueList;
    }

    /**
     * This method returns a servicePropertyName.
     * 
     *@return a  String  value
     */
    public String getServicePropertyName() {
        return servicePropertyName;

    }

    /**
     * This method returns a servicePropertyValueList.
     * 
     *@return a  String[]  value
     */
    public String[] getServicePropertyValueList() {
        return servicePropertyValueList;

    }


     /**
     * This method sets a servicePropertyName.
     */ 
    public void setServicePropertyName(String servicePropertyName){
        this.servicePropertyName = servicePropertyName;
    }

    /**
     * This method sets a servicePropertyValueList.
     */ 
    public void setServicePropertyValueList(String[] servicePropertyValueList){
        this.servicePropertyValueList = servicePropertyValueList;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ServiceProperty)) {
            return false;
        } 
        
        ServiceProperty serviceProperty= (ServiceProperty)o;
        if(!(this.servicePropertyName == serviceProperty.servicePropertyName))  {
            return false;
        }
        if(!(this.servicePropertyValueList == serviceProperty.servicePropertyValueList))  {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ServiceProperty

