//Source file: ServiceTypeProperty.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Describes a service property
 *
 * 
 */
public final class ServiceTypeProperty implements java.io.Serializable {

    private String servicePropertyName;
    private org.csapi.jr.se.fw.ServiceTypePropertyMode serviceTypePropertyMode;
    private String servicePropertyTypeName;

    /**
     * Creates a new  ServiceTypeProperty  instance.
     *
     */
    public ServiceTypeProperty (String _servicePropertyName,
        org.csapi.jr.se.fw.ServiceTypePropertyMode _serviceTypePropertyMode,
        String _servicePropertyTypeName) {

        servicePropertyName = _servicePropertyName;
        serviceTypePropertyMode = _serviceTypePropertyMode;
        servicePropertyTypeName = _servicePropertyTypeName;
    }

    /**
     * This method returns a servicePropertyName.
     * 
     *@return a  String  value
     */
    public String getServicePropertyName() {
        return servicePropertyName;

    }

    /**
     * This method returns a serviceTypePropertyMode.
     * 
     *@return a  org.csapi.jr.se.fw.ServiceTypePropertyMode  value
     */
    public org.csapi.jr.se.fw.ServiceTypePropertyMode getServiceTypePropertyMode() {
        return serviceTypePropertyMode;

    }

    /**
     * This method returns a servicePropertyTypeName.
     * 
     *@return a  String  value
     */
    public String getServicePropertyTypeName() {
        return servicePropertyTypeName;

    }


     /**
     * This method sets a servicePropertyName.
     */ 
    public void setServicePropertyName(String servicePropertyName){
        this.servicePropertyName = servicePropertyName;
    }

    /**
     * This method sets a serviceTypePropertyMode.
     */ 
    public void setServiceTypePropertyMode(org.csapi.jr.se.fw.ServiceTypePropertyMode serviceTypePropertyMode){
        this.serviceTypePropertyMode = serviceTypePropertyMode;
    }

    /**
     * This method sets a servicePropertyTypeName.
     */ 
    public void setServicePropertyTypeName(String servicePropertyTypeName){
        this.servicePropertyTypeName = servicePropertyTypeName;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ServiceTypeProperty)) {
            return false;
        } 
        
        ServiceTypeProperty serviceTypeProperty= (ServiceTypeProperty)o;
        if ((this.serviceTypePropertyMode !=null) & (serviceTypeProperty.serviceTypePropertyMode != null)) {
            if(!(this.serviceTypePropertyMode.equals(serviceTypeProperty.serviceTypePropertyMode))) {
                return false;
            }
        }
        if(!(this.servicePropertyTypeName == serviceTypeProperty.servicePropertyTypeName))  {
            return false;
        }
        if(!(this.servicePropertyName == serviceTypeProperty.servicePropertyName))  {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ServiceTypeProperty

