//Source file: SignatureAndServiceMgr.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;  
/**
 * Defines a Sequence of Data Elements containing the digital signature of the Framework for the service agreement,
 * and a reference to the SCF manager interface of the SCF.
 */
public final class SignatureAndServiceMgr implements java.io.Serializable {
   
    private byte[] digitalSignature;
    private org.csapi.jr.se.CsapiInterface serviceMgrInterface;

    /**
     * Creates a new SignatureAndServiceMgr instance.
     *    
     */
    public SignatureAndServiceMgr(byte[] _digitalSignature, 
              org.csapi.jr.se.CsapiInterface _serviceMgrInterface) {        

        digitalSignature=_digitalSignature;
        serviceMgrInterface=_serviceMgrInterface;
    }        

    /**
     * This method returns a DigitalSignature
     *
     * @return a  byte[]  value
     */
    public byte[] getDigitalSignature() {
        return digitalSignature;
    }

    /**
     * This method returns a ServiceMgrInterface
     *
     * @return a  org.csapi.jr.se.CsapiInterface  value
     */
    public org.csapi.jr.se.CsapiInterface getServiceMgrInterface() {
        return serviceMgrInterface;
    }

} // SignatureAndServiceMgr
 
