//Source file: Initial.java
//Date: July 2003
//Framework Access Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_access.trust_and_security;

/**
 * The Initial Framework interface is used by the client to initiate the authentication with the Framework.  This interface shall be implemented by a Framework.  The initiateAuthentication() and the initiateAuthenticationWithVersion() methods shall be implemented.
 *
 * 
 * 
 */
public interface Initial extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is deprecated in this version, this means that it will be supported until the next major release of the present document.
This method is invoked by the client to start the process of authentication with the framework, and request the use of a specific authentication method.
Returns <fwDomain> : This provides the client with a framework identifier, and a reference to call the authentication interface of the framework.																																structure TpAuthDomain {																												domainID: 		TpDomainID;																									authInterface:		IpInterfaceRef;																									};
The domainID parameter is an identifier for the framework (i.e. TpFwID). It is used to identify the framework to the client.
The authInterface parameter is a reference to the authentication interface of the framework. The type of this interface is defined by the authType parameter. The client uses this interface to authenticate with the framework. 
     *     @param clientDomain This identifies the client domain to the framework, and provides a reference to the domain's authentication interface.																																							structure TpAuthDomain {																												domainID: 		TpDomainID;																									authInterface:		IpInterfaceRef;																									};
The domainID parameter is an identifier either for a client application (i.e. TpClientAppID) or for an enterprise operator (i.e. TpEntOpID), or for an instance of a registered service (i.e. TpServiceInstanceID) or for a service supplier (i.e. TpServiceSupplierID). It is used to identify the client domain to the framework, (see authenticate() on IpAPILevelAuthentication). If the framework does not recognise the domainID, the framework returns an error code (P_INVALID_DOMAIN_ID).
The authInterface parameter is a reference to call the authentication interface of the client. The type of this interface is defined by the authType parameter. If the interface reference is not of the correct type, the framework returns an error code (P_INVALID_INTERFACE_TYPE).
    @param authType This identifies the type of authentication mechanism requested by the client. It provides operators and clients with the opportunity to use an alternative to the API level Authentication interface, e.g. an implementation specific authentication mechanism like  CORBA Security, using the IpAuthentication interface, or Operator specific Authentication interfaces.  OSA API level Authentication is the default authentication mechanism (P_OSA_AUTHENTICATION). If P_OSA_AUTHENTICATION is selected, then the clientDomain and fwDomain authInterface parameters are references to interfaces of type Ip(Client)APILevelAuthentication. If P_AUTHENTICATION is selected, the fwDomain authInterface parameter references to interfaces of type IpAuthentication which is used when an underlying distribution technology authentication mechanism is used.

     */
    org.csapi.jr.se.fw.AuthDomain  initiateAuthentication(org.csapi.jr.se.fw.AuthDomain clientDomain, String authType)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.InvalidDomainIdException,org.csapi.jr.se.InvalidInterfaceTypeException,org.csapi.jr.se.fw.InvalidAuthTypeException,org.csapi.jr.se.PlatformException;

    /**
     * This method is invoked by the client to start the process of authentication with the framework, and request the use of a specific authentication method using the new method with support for backward compatibility in the framework. The returned fwDomain authInterface will be selected to match the proposed version from the Client in the Framework response. If the Framework cannot work with the proposed framework version the framework returns an error code (P_INVALID_VERSION).
Returns <fwDomain> : This provides the client with a framework identifier, and a reference to call the authentication interface of the framework.																																structure TpAuthDomain {																												domainID: 		TpDomainID;																									authInterface:		IpInterfaceRef;																									};
The domainID parameter is an identifier for the framework (i.e. TpFwID). It is used to identify the framework to the client.
The authInterface parameter is a reference to the authentication interface of the framework. The type of this interface is defined by the authType parameter. The client uses this interface to authenticate with the framework. 
     *     @param clientDomain This identifies the client domain to the framework, and provides a reference to the domain's authentication interface.																																							structure TpAuthDomain {																												domainID: 		TpDomainID;																									authInterface:		IpInterfaceRef;																									};
The domainID parameter is an identifier either for a client application (i.e. TpClientAppID) or for an enterprise operator (i.e. TpEntOpID), or for an instance of a registered service (i.e. TpServiceInstanceID) or for a service supplier
(i.e. TpServiceSupplierID). It is used to identify the client domain to the framework, (see challenge() on IpAPILevelAuthentication). If the framework does not recognise the domainID, the framework returns an error code (P_INVALID_DOMAIN_ID).
The authInterface parameter is a reference to call the authentication interface of the client. The type of this interface is defined by the authType parameter. If the interface reference is not of the correct type, the framework returns an error code (P_INVALID_INTERFACE_TYPE).
    @param authType This identifies the type of authentication mechanism requested by the client. It provides operators and clients with the opportunity to use an alternative to the API level Authentication interface, e.g. an implementation specific authentication mechanism like  CORBA Security, using the IpAuthentication interface, or Operator specific Authentication interfaces.  OSA API level Authentication is the default authentication mechanism (P_OSA_AUTHENTICATION). If P_OSA_AUTHENTICATION is selected, then the clientDomain and fwDomain authInterface parameters are references to interfaces of type Ip(Client)APILevelAuthentication. If P_AUTHENTICATION is selected, the fwDomain authInterface parameter references to interfaces of type IpAuthentication that is used when an underlying distribution technology authentication mechanism is used.
    @param frameworkVersion This identifies the version of the Framework implemented in the client. The TpVersion is a String containing the version number. Valid version numbers are defined in the respective framework specification.

     */
    org.csapi.jr.se.fw.AuthDomain  initiateAuthenticationWithVersion(org.csapi.jr.se.fw.AuthDomain clientDomain, String authType, String frameworkVersion)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.InvalidDomainIdException,org.csapi.jr.se.InvalidInterfaceTypeException,org.csapi.jr.se.fw.InvalidAuthTypeException,org.csapi.jr.se.InvalidVersionException,org.csapi.jr.se.PlatformException;


} // Initial

