//Source file: AppHeartBeatMgmt.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.integrity;

/**
 * This interface allows the initialisation of a heartbeat supervision of the client application by the framework.  
 *
 * 
 * 
 */
public interface AppHeartBeatMgmt extends org.csapi.jr.se.CsapiInterface{

    /**
     * With this method, the framework instructs the client application to begin sending its heartbeat to the specified interface at the specified interval.
     *     @param interval The time interval in milliseconds between the heartbeats.
    @param fwInterface This parameter refers to the callback interface the heartbeat is calling.

     */
    void  enableAppHeartBeat(int interval, org.csapi.jr.se.fw.fw_application.integrity.HeartBeat fwInterface);

    /**
     * Instructs the client application to cease the sending of its heartbeat. 
     * 
     */
    void  disableAppHeartBeat();

    /**
     * Allows the administrative change of the heartbeat interval.
     *     @param interval The time interval in milliseconds between the heartbeats.

     */
    void  changeInterval(int interval);


} // AppHeartBeatMgmt

