//Source file: HeartBeat.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.integrity;

/**
 * The Heartbeat Framework interface is used by the client application to send its heartbeat.  If a Framework is capable of invoking IpAppHeartBeatMgmt.enableHeartBeat(), it shall implement IpHeartBeat and the pulse() method.																If the IpLoadManager interface is implemented by a Framework, at least one of the methods shall be implemented as a minimum requirement. If load level notifications are supported, the createLoadLevelNotification() and destroyLoadLevelNotification() methods shall be implemented.  If suspendNotification() is implemented, then resumeNotification() shall be implemented also.  If a Framework is capable of invoking the IpAppLoadManager.queryAppLoadReq() method, then it shall implement queryAppLoadRes() and queryAppLoadErr() methods in this interface.
 *
 * 
 * 
 */
public interface HeartBeat extends org.csapi.jr.se.CsapiInterface{

    /**
     * The client application uses this method to send its heartbeat to the framework.  The framework will be expecting a pulse at the end of every interval specified in the parameter to the IpAppHeartBeatMgmt.enableAppHeartbeat() method.  If the pulse() is not received within the specified interval, then the client application can be deemed to have failed the heartbeat.
     * 
     */
    void  pulse()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.PlatformException;


} // HeartBeat

