//Source file: HeartBeatMgmt.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.integrity;

/**
 * This interface allows the initialisation of a heartbeat supervision of the framework by a client application.  If the IpHeartBeatMgmt interface is implemented by a Framework, as a minimum enableHeartBeat() and disableHeartBeat() shall be implemented.
 *
 * 
 * 
 */
public interface HeartBeatMgmt extends org.csapi.jr.se.CsapiInterface{

    /**
     * With this method, the client application instructs the framework to begin sending its heartbeat to the specified interface at the specified interval.
     *     @param interval The time interval  in milliseconds between the heartbeats.
    @param appInterface This parameter refers to the callback interface the heartbeat is calling.

     */
    void  enableHeartBeat(int interval, org.csapi.jr.se.fw.fw_application.integrity.AppHeartBeat appInterface)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.PlatformException;

    /**
     * Instructs the framework to cease the sending of its heartbeat.
     * 
     */
    void  disableHeartBeat()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.PlatformException;

    /**
     * Allows the administrative change of the heartbeat interval.
     *     @param interval The time interval in milliseconds between the heartbeats.

     */
    void  changeInterval(int interval)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.PlatformException;


} // HeartBeatMgmt

