//Source file: AppEventNotification.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.notification;

/**
 * This interface is used by the services to inform the application of a generic service-related event.  The Event Notification Framework will invoke methods on the Event Notification Application Interface that is specified when the Event Notification interface is obtained.
 *
 * 
 * 
 */
public interface AppEventNotification extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method notifies the application of the arrival of a generic event.
     *     @param eventInfo Specifies specific data associated with this event. 
    @param assignmentID Specifies the assignment id which was returned by the framework during the createNotification() method. The application can use assignment id to associate events with event specific criteria and to act accordingly.

     */
    void  reportNotification(org.csapi.jr.se.fw.FwEventInfo eventInfo, int assignmentID);

    /**
     * This method indicates to the application that all generic event notifications have been terminated (for example, due to faults detected).
     * 
     */
    void  notificationTerminated();


} // AppEventNotification

