//Source file: EventNotification.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.notification;

/**
 * The event notification mechanism is used to notify the application of generic service related events that have occurred.  If Event Notifications are supported by a Framework, this interface and the createNotification() and destroyNotification() methods shall be supported.
 *
 * 
 * 
 */
public interface EventNotification extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is used to enable generic notifications so that events can be sent to the application.
Returns <assignmentID> : Specifies the ID assigned by the framework for this newly installed notification.
     *     @param eventCriteria Specifies the event specific criteria used by the application to define the event required. 

     */
    int  createNotification(org.csapi.jr.se.fw.FwEventCriteria eventCriteria)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.AccessDeniedException,org.csapi.jr.se.InvalidCriteriaException,org.csapi.jr.se.InvalidEventTypeException,org.csapi.jr.se.PlatformException;

    /**
     * This method is used by the application to delete generic notifications from the framework. 
     *     @param assignmentID Specifies the assignment ID given by the framework when the previous createNotification() was called. If the assignment ID does not correspond to one of the valid assignment IDs, the framework will return the error code P_INVALID_ASSIGNMENTID.

     */
    void  destroyNotification(int assignmentID)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.AccessDeniedException,org.csapi.jr.se.InvalidAssignmentIdException,org.csapi.jr.se.PlatformException;


} // EventNotification

