//Source file: EntOpAccountInfoQuery.java
//Date: July 2003
//Framework to Enterprise Operator Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0

package org.csapi.jr.se.fw.fw_enterprise_operator.service_subscription;

/**
 * This interface is used by the enterprise operator to query information related to its own subscription account as held within the framework.
 *
 * 
 * 
 */
public interface EntOpAccountInfoQuery extends org.csapi.jr.se.CsapiInterface{

    /**
     * Query information about the enterprise operator. The enterprise operator invokes this operation to find out what information about itself is stored in the enterprise operator account object within the Framework.
Returns <enterpriseOperator> : The "enterpriseOperator" parameter conveys the information stored in the EntOp object about the enterprise operator. It contains the unique "enterprise operator ID" followed by a list of  "enterprise operator properties". The enterprise operator properties is a list of name/value pairs which provide enterprise operator related information such as the name, organisation, address, phone, e-mail, fax, payment method (credit card, bank account), etc. to the framework.
     * 
     */
    org.csapi.jr.se.fw.EntOp  describeEntOpAccount()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.AccessDeniedException,org.csapi.jr.se.PlatformException;


} // EntOpAccountInfoQuery

