//Source file: ServiceContractInfoQuery.java
//Date: July 2003
//Framework to Enterprise Operator Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0

package org.csapi.jr.se.fw.fw_enterprise_operator.service_subscription;

/**
 * The enterprise operator uses this interface to query information about a given service contract.
 *
 * 
 * 
 */
public interface ServiceContractInfoQuery extends org.csapi.jr.se.CsapiInterface{

    /**
     * Query information about the specified service contract. The enterprise operator invokes this operation to obtain information that is stored in the specified service contract. The enterprise operator can only obtain information about the service contracts that it has created.
Returns <serviceContractDescription> : The "serviceContract" parameter contains the description for the specified service contract. 
     *     @param serviceContractID The "serviceContractID" parameter identifies the service whose description is being requested. 

     */
    org.csapi.jr.se.fw.ServiceContractDescription  describeServiceContract(String serviceContractID)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.AccessDeniedException,org.csapi.jr.se.fw.InvalidServiceContractIdException,org.csapi.jr.se.PlatformException;

    /**
     * Returns a list of the IDs of service contracts created by the Enterprise Operator. 
Returns <serviceContractIDs> : The "serviceContractIDs" parameter will contain a list of IDs for service contracts that the enterprise operator has created.
     * 
     */
    String[]  listServiceContracts()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.AccessDeniedException,org.csapi.jr.se.PlatformException;

    /**
     * The enterprise operator invokes this operation to obtain a list of service profiles that are associated with a particular service contract. 
Returns <serviceProfileIDs> : This contains the service profiles associated with a particular service contract. 
     *     @param serviceContractID The "serviceContractID" parameter identifies the service contract.  If the serviceContractID is not recognised by the framework, an exception "P_INVALID_SERVICE_CONTRACT_ID" would be raised.

     */
    String[]  listServiceProfiles(String serviceContractID)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.fw.AccessDeniedException,org.csapi.jr.se.fw.InvalidServiceContractIdException,org.csapi.jr.se.PlatformException;


} // ServiceContractInfoQuery

