//Source file: FwHeartBeat.java
//Date: July 2003
//Framework to Service Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 *  The service side framework heartbeat interface is used by the service instance to send the framework its heartbeat.  If a Framework is capable of invoking IpSvcHeartBeatMgmt.enableHeartBeat(), it shall implement IpFwHeartBeat and the pulse() method.
 *
 * 
 * 
 */
public interface FwHeartBeat extends org.csapi.jr.se.CsapiInterface{

    /**
     * The service instance uses this method to send its heartbeat to the framework. The framework will be expecting a pulse at the end of every interval specified in the parameter to the IpSvcHeartBeatMgmt.enableSvcHeartbeat() method.  If the pulse() is not received within the specified interval, then the service instance can be deemed to have failed the heartbeat.
     * 
     */
    void  pulse()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.PlatformException;


} // FwHeartBeat

