//Source file: FwOAM.java
//Date: July 2003
//Framework to Service Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 * The OAM interface is used to query the system date and time. The service and the framework can synchronise the date and time to a certain extent.  Accurate time synchronisation is outside the scope of this API.  This interface and the systemDateTimeQuery() method are optional.
 *
 * 
 * 
 */
public interface FwOAM extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is used to query the system date and time. The client (service) passes in its own date and time to the framework. The framework responds with the system date and time.
Returns <systemDateAndTime> : This is the system date and time of the framework.
     *     @param clientDateAndTime This is the date and time of the client (service). The error code P_INVALID_DATE_TIME_FORMAT is returned if the format of the parameter is invalid.

     */
    String  systemDateTimeQuery(String clientDateAndTime)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.InvalidTimeAndDateFormatException,org.csapi.jr.se.PlatformException;


} // FwOAM

