//Source file: SvcHeartBeat.java
//Date: July 2003
//Framework to Service Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 * The service heartbeat interface is used by the framework to send the service instance its heartbeat.  If a Service is capable of invoking IpFwHeartBeatMgmt.enableHeartBeat(), it shall implement IpSvcHeartBeat and the pulse() method.
 *
 * 
 * 
 */
public interface SvcHeartBeat extends org.csapi.jr.se.CsapiInterface{

    /**
     * The framework uses this method to send its heartbeat to the service instance.  The service will be expecting a pulse at the end of every interval specified in the parameter to the IpFwHeartBeatMgmt.enableHeartbeat() method.  If the pulse() is not received within the specified interval, then the framework can be deemed to have failed the heartbeat.
     * 
     */
    void  pulse()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException;


} // SvcHeartBeat

