//Source file: SvcHeartBeatMgmt.java
//Date: July 2003
//Framework to Service Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 * This interface allows the initialisation of a heartbeat supervision of the service instance by the framework.  If the IpSvcHeartBeatMgmt interface is implemented by a Service, as a minimum enableHeartBeat() and disableHeartBeat() shall be implemented.
 *
 * 
 * 
 */
public interface SvcHeartBeatMgmt extends org.csapi.jr.se.CsapiInterface{

    /**
     * With this method, the framework instructs the service instance to begin sending its heartbeat to the specified interface at the specified interval.
     *     @param interval The time interval in milliseconds between the heartbeats.
    @param fwInterface This parameter refers to the callback interface the heartbeat is calling.

     */
    void  enableSvcHeartBeat(int interval, org.csapi.jr.se.fw.fw_service.integrity.FwHeartBeat fwInterface)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Instructs the service instance to cease the sending of its heartbeat. 
     * 
     */
    void  disableSvcHeartBeat()throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException;

    /**
     * Allows the administrative change of the heartbeat interval.
     *     @param interval The time interval in milliseconds between the heartbeats.

     */
    void  changeInterval(int interval)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException;


} // SvcHeartBeatMgmt

