//Source file: FwEventNotification.java
//Date: July 2003
//Framework to Service Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_service.notification;

/**
 * The event notification mechanism is used to notify the service of generic events that have occurred.  If Event Notifications are supported by a Framework, this interface and the createNotification() and destroyNotification() methods shall be supported.
 *
 * 
 * 
 */
public interface FwEventNotification extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is used to install generic notifications so that events can be sent to the service.
Returns <assignmentID> : Specifies the ID assigned by the framework for this newly installed event notification.
     *     @param eventCriteria Specifies the event specific criteria used by the service to define the event required.

     */
    int  createNotification(org.csapi.jr.se.fw.FwEventCriteria eventCriteria)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.InvalidEventTypeException,org.csapi.jr.se.InvalidCriteriaException,org.csapi.jr.se.PlatformException;

    /**
     * This method is used by the service to delete generic notifications from the framework.
     *     @param assignmentID Specifies the assignment ID given by the framework when the previous createNotification() was called. If the assignment ID does not correspond to one of the valid assignment IDs, the framework will return the error code P_INVALID_ASSIGNMENT_ID.

     */
    void  destroyNotification(int assignmentID)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.InvalidAssignmentIdException,org.csapi.jr.se.PlatformException;


} // FwEventNotification

